Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Blockwahl / Filter setzten

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Blockwahl / Filter setzten (784 mal gelesen)
cadwomen
Ehrenmitglied V.I.P. h.c.
Mädchen für fast alles


Sehen Sie sich das Profil von cadwomen an!   Senden Sie eine Private Message an cadwomen  Schreiben Sie einen Gästebucheintrag für cadwomen

Beiträge: 2579
Registriert: 26.08.2002

ACAD R11 - 2018.1.1
AVIS
ACAD LT 2013- 2018
ZWCAD 2015 Versuch "nun ja"
[s]P3D 2012/(13) SP und Hotfix([/s]

erstellt am: 23. Apr. 2012 22:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,

ich hab es über "Bordmittel" versuch in Form von zusammengesetzten Befehlen, aber da klappt es nicht

was ich möchte ist

ich klicke einen Block an ,der Einfügelayer wird als aktuellen Layer gesetzt
alle Blöcke die mit dem selben Namen und auf dem gleichen Layer weden in einem Auswahlsatz bereit gestellt
das wäre schon alles

die Auswahl hab ich bis jetzt über Filter *Blockname & Layer gemacht, das Layersetzten über *_Laymcur aber in Kombi bekomm ich das nicht hin

so was in der Art hab ich hier gefunden , aber eben nur in der Art http://ww3.cad.de/foren/ubb/Forum145/HTML/003343.shtml

hat jemand was passendes ?

CU all cw

------------------
cadwomen™
Plant ist wie Öl suchen, je tiefer man bohrt desto mehr kommt ans Tageslicht

[Diese Nachricht wurde von cadwomen am 23. Apr. 2012 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1635
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2019
CIVIL 2012 - 2019
BricsCAD V14-V18
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 24. Apr. 2012 07:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadwomen 10 Unities + Antwort hilfreich

Hallo CadWoman,
eigentlich ist in dem Link von Dir doch schon fast alles drin, wenn es dynamische Blöcke sind nimmst Du den Code von CADmium, andernfalls von Bernd. Das einzige  was fehlt ist das Layer aktuell stellen, das könnte wie folgt aussehen (für nicht dynamische Blöcke):

Code:

(defun c:test ( / obj aws)
  (if (and (setq obj (car (entsel "\nPicken Sie einen Block:")))
          (=(cdr(assoc 0 (entget obj)))"INSERT"))
    (progn
      (setvar "CLAYER" (cdr(assoc 8 (entget obj))))
      (setq aws (ssget "_X" (list '(0 . "INSERT")
                                  (assoc 2 (entget obj))
                                  (assoc 410 (entget obj)))))
      (sssetfirst aws aws))
    (alert "Sie haben keinen Block gepickt."))
  )

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadwomen
Ehrenmitglied V.I.P. h.c.
Mädchen für fast alles


Sehen Sie sich das Profil von cadwomen an!   Senden Sie eine Private Message an cadwomen  Schreiben Sie einen Gästebucheintrag für cadwomen

Beiträge: 2579
Registriert: 26.08.2002

ACAD R11 - 2018.1.1
AVIS
ACAD LT 2013- 2018
ZWCAD 2015 Versuch "nun ja"
[s]P3D 2012/(13) SP und Hotfix([/s]

erstellt am: 24. Apr. 2012 07:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke schon mal Jörn,


Und nein sind keine dyn Blöcke

CUSee You cw

------------------
cadwomen™
Plant ist wie Öl suchen, je tiefer man bohrt desto mehr kommt ans Tageslicht

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadwomen
Ehrenmitglied V.I.P. h.c.
Mädchen für fast alles


Sehen Sie sich das Profil von cadwomen an!   Senden Sie eine Private Message an cadwomen  Schreiben Sie einen Gästebucheintrag für cadwomen

Beiträge: 2579
Registriert: 26.08.2002

ACAD R11 - 2018.1.1
AVIS
ACAD LT 2013- 2018
ZWCAD 2015 Versuch "nun ja"
[s]P3D 2012/(13) SP und Hotfix([/s]

erstellt am: 24. Apr. 2012 10:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

nochmal ich ..

nein das ist mir zuviel ich bekomm das nicht zusammengewurstelt.

zumal mal bei mir
Blockname und Layer die Filterkriterien sind

------------------

Code:
--------------------------------------------------------------------------------

;;-Auswahl Blocknahme--------------------------------------------------------
(defun c:sel_blk (/ OBJ AWS)
  (if(setq OBJ(car(entsel)))
    (progn     
      (setq AWS(ssget "_x" (vl-remove-if-not '(lambda(x)(member (car X) '( 2 )))  (entget OBJ))))
      (sssetfirst AWS AWS)
    )
  )
)
--------------------------------------------------------------------------------

dannach den EinfügeLayer zum aktuellen machen
und
die gleichen Blöcke einfach ausgewählt / markiert stehnlassen

wäre jemand da der mir das zusammenstrickt oder evtl einen Link hat
wo ich och suchen könnte defun und cadwiesel hab ich schon durch.

CUSee You cw

------------------
cadwomen™
Plant ist wie Öl suchen, je tiefer man bohrt desto mehr kommt ans Tageslicht

[Diese Nachricht wurde von cadwomen am 24. Apr. 2012 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13388
Registriert: 30.11.2003

.

erstellt am: 24. Apr. 2012 11:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadwomen 10 Unities + Antwort hilfreich

nimm das von Jörn .. das ist genau das , was du beschreibst zu wollen ...

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadwomen
Ehrenmitglied V.I.P. h.c.
Mädchen für fast alles


Sehen Sie sich das Profil von cadwomen an!   Senden Sie eine Private Message an cadwomen  Schreiben Sie einen Gästebucheintrag für cadwomen

Beiträge: 2579
Registriert: 26.08.2002

ACAD R11 - 2018.1.1
AVIS
ACAD LT 2013- 2018
ZWCAD 2015 Versuch "nun ja"
[s]P3D 2012/(13) SP und Hotfix([/s]

erstellt am: 24. Apr. 2012 11:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hy CADmium

Jörg seins trift es fast , er wählt alle gleichnamigen Blöcke, aber über alle Layer hinweg , ich , wie oben beschrieben, brauch aber das 2 Filterkriterium Layer

mfg cw

------------------
cadwomen™
Plant ist wie Öl suchen, je tiefer man bohrt desto mehr kommt ans Tageslicht

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13388
Registriert: 30.11.2003

.

erstellt am: 24. Apr. 2012 11:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadwomen 10 Unities + Antwort hilfreich

(defun c:test ( / obj aws)
  (if (and (setq obj (car (entsel "\nPicken Sie einen Block:")))
          (=(cdr(assoc 0 (entget obj)))"INSERT"))
    (progn
      (setvar "CLAYER" (cdr(assoc 8 (entget obj))))
      (setq aws (ssget "_X" (list '(0 . "INSERT")
                                  (assoc 2 (entget obj))
                                  (assoc 8 (entget obj))
                                  (assoc 410 (entget obj)))))
      (sssetfirst aws aws))
    (alert "Sie haben keinen Block gepickt."))
  )

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadwomen
Ehrenmitglied V.I.P. h.c.
Mädchen für fast alles


Sehen Sie sich das Profil von cadwomen an!   Senden Sie eine Private Message an cadwomen  Schreiben Sie einen Gästebucheintrag für cadwomen

Beiträge: 2579
Registriert: 26.08.2002

ACAD R11 - 2018.1.1
AVIS
ACAD LT 2013- 2018
ZWCAD 2015 Versuch "nun ja"
[s]P3D 2012/(13) SP und Hotfix([/s]

erstellt am: 24. Apr. 2012 11:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke euch beiden

noch eine Frage dann blick ich das evtl und Frag hier zu dem nicht weiter

assoc 2 = Blockname
assoc 8 = Layer

aber warum braucht man das
assoc 410 ?? den Modellbereich ?

CUSee You cw

------------------
cadwomen™
Plant ist wie Öl suchen, je tiefer man bohrt desto mehr kommt ans Tageslicht

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1635
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2019
CIVIL 2012 - 2019
BricsCAD V14-V18
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 24. Apr. 2012 11:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadwomen 10 Unities + Antwort hilfreich

Hallo CADwoman,
den 410er Gruppencode speichert den aktiven Bereich, wo Du Dich befindest, also z.B. "Model" oder "Layout". Wenn Du Dich im Model befindest, dann werden in den Auswahlsatz nur Blöcke selektiert, die sich ebenfalls im "Model" befinden (die aus den Layoutbereichen werden nicht berücksichtigt).

Ob der Gruppencode wirklich wichtig ist bin ich mir nicht sicher, auf jeden Fall kann er nicht schaden.

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadwomen
Ehrenmitglied V.I.P. h.c.
Mädchen für fast alles


Sehen Sie sich das Profil von cadwomen an!   Senden Sie eine Private Message an cadwomen  Schreiben Sie einen Gästebucheintrag für cadwomen

Beiträge: 2579
Registriert: 26.08.2002

ACAD R11 - 2018.1.1
AVIS
ACAD LT 2013- 2018
ZWCAD 2015 Versuch "nun ja"
[s]P3D 2012/(13) SP und Hotfix([/s]

erstellt am: 24. Apr. 2012 12:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke und Mahlzeit

cw

------------------
cadwomen™
Plant ist wie Öl suchen, je tiefer man bohrt desto mehr kommt ans Tageslicht

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz